Bug 1475960 - 'showmount -e' reports 'rpc mount export: RPC: Can't decode result'
'showmount -e' reports 'rpc mount export: RPC: Can't decode result'
Status: NEW
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: nfs-utils (Show other bugs)
6.9
Unspecified Unspecified
unspecified Severity medium
: rc
: ---
Assigned To: Steve Dickson
Zhi Li
: Regression
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-27 11:52 EDT by Pierguido Lambri
Modified: 2017-08-15 21:04 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pierguido Lambri 2017-07-27 11:52:44 EDT
Description of problem:
When a RHEL6 NFS server export a bigger than usual export list, showmount reports the error in the $SUBJECT.

Version-Release number of selected component (if applicable):
nfs-utils >= 1.2.3-70.el6_8.1.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Install RHEL6
2. Install nfs-utils >= 1.2.3-70.el6_8.1.x86_64
3. Export at least around 290 NFS exports
4. On the NFS client run 'showmount -e'

Actual results:
showmount reports 'rpc mount export: RPC: Can't decode result'

Expected results:
The list of exports should be listed

Additional info:
The issue doesn't happen if the NFS server is running nfs-utils <= 1.2.3-70.el6.x86_64
Comment 5 Yongcheng Yang 2017-07-27 23:24:26 EDT
(In reply to Pierguido Lambri from comment #0)

I cannot reproduce this issue followed the reproduce steps.
So maybe it needs some other specific settings.

> Steps to Reproduce:
> 1. Install RHEL6
> 2. Install nfs-utils >= 1.2.3-70.el6_8.1.x86_64
> 3. Export at least around 290 NFS exports
> 4. On the NFS client run 'showmount -e'
-----------------------------------------
[root@test-rhel6-machine ~]# rpm -q nfs-utils
nfs-utils-1.2.3-75.el6.x86_64
[root@test-rhel6-machine ~]# exportfs -ua
[root@test-rhel6-machine ~]# showmount -e $HOSTNAME 
Export list for test-rhel6-machine.rhts.eng.pek2.redhat.com:
[root@test-rhel6-machine ~]# for i in `seq 290`; do mkdir /export_test_$i && exportfs -i *:/export_test_$i 2>/dev/null; done
[root@test-rhel6-machine ~]# showmount -e $HOSTNAME 
Export list for test-rhel6-machine.rhts.eng.pek2.redhat.com:
<snip>
/export_test_286 *
/export_test_288 *
/export_test_290 *
<snip/>
[root@test-rhel6-machine ~]#
Comment 8 Yongcheng Yang 2017-08-13 22:50:50 EDT
Adding keyword "Regression" as nfs-utils previous (default 6.8)
version 1.2.3-70.el6 doesn't have this problem.

------------------------------------------
[root@hp-dl360g9-15 ~]# hostname 
hp-dl360g9-15.rhts.eng.pek2.redhat.com
[root@hp-dl360g9-15 ~]# rpm -q nfs-utils
nfs-utils-1.2.3-70.el6.x86_64
[root@hp-dl360g9-15 ~]# ssh yoyang@fs-qe.usersys.redhat.com "/usr/sbin/showmount -e hp-dl360g9-15.rhts.eng.pek2.redhat.com" | wc -l
yoyang@fs-qe.usersys.redhat.com's password: 
291

# Now update the nfs-utils
[root@hp-dl360g9-15 ~]# rpm -Uvh nfs-utils-1.2.3-70.el6_8.1.x86_64.rpm 
Preparing...                ########################################### [100%]
   1:nfs-utils              ########################################### [100%]
[root@hp-dl360g9-15 ~]# service nfs restart
Shutting down NFS daemon: [  OK  ]
Shutting down NFS mountd: [  OK  ]
Shutting down NFS quotas: [  OK  ]
Shutting down NFS services:  [  OK  ]
Shutting down RPC idmapd: [  OK  ]
Starting NFS services:  [  OK  ]
Starting NFS quotas: [  OK  ]
Starting NFS mountd: [  OK  ]
Starting NFS daemon: [  OK  ]
Starting RPC idmapd: [  OK  ]
[root@hp-dl360g9-15 ~]# ssh yoyang@fs-qe.usersys.redhat.com "/usr/sbin/showmount -e hp-dl360g9-15.rhts.eng.pek2.redhat.com"
yoyang@fs-qe.usersys.redhat.com's password: 
rpc mount export: RPC: Can't decode result <<<<<<<<<< Reproduced!
[root@hp-dl360g9-15 ~]# echo $?
1
[root@hp-dl360g9-15 ~]# rpm -q nfs-utils
nfs-utils-1.2.3-70.el6_8.1.x86_64

# Downgrading nfs-utils, then problem disappears
[root@hp-dl360g9-15 ~]# yum downgrade -y nfs-utils >/dev/null 2>&1
[root@hp-dl360g9-15 ~]# rpm -q nfs-utils
nfs-utils-1.2.3-70.el6.x86_64
[root@hp-dl360g9-15 ~]# ssh yoyang@fs-qe.usersys.redhat.com "/usr/sbin/showmount -e hp-dl360g9-15.rhts.eng.pek2.redhat.com" 
yoyang@fs-qe.usersys.redhat.com's password: 
Export list for hp-dl360g9-15.rhts.eng.pek2.redhat.com:
<snip...>
[root@hp-dl360g9-15 ~]# echo $?
0
[root@hp-dl360g9-15 ~]#

Note You need to log in before you can comment on or make changes to this bug.